Summary: CERN wrappers for different utils
Name: cern-wrappers
Version: 1
Release: 10.3.slc5
Vendor: CERN
License: GPL
BuildArch: noarch
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}-%{release}.tar
Requires: pam_krb5 >= 2.2.8
Requires: openafs-krb5

Patch1: cern-wrappers.fix.kinit.patch

%description
This package supplies wrappers for different
system utilities (klog, kinit, kpasswd .. etc).

These wrapper scripts should only be used at CERN.


%prep
%setup -q
%patch1 -p0 

%build

%install

mkdir -p $RPM_BUILD_ROOT/usr/sue/bin/
mkdir -p $RPM_BUILD_ROOT/etc/profile.d/

install -m 755 pagsh $RPM_BUILD_ROOT/usr/sue/bin/ 
install -m 755 kpasswd $RPM_BUILD_ROOT/usr/sue/bin/
install -m 755 passwd $RPM_BUILD_ROOT/usr/sue/bin/
install -m 755 kinit $RPM_BUILD_ROOT/usr/sue/bin/
#install -m 755 rdesktop $RPM_BUILD_ROOT/usr/sue/bin/
install -m 755 zz_sue.sh $RPM_BUILD_ROOT/etc/profile.d/
install -m 755 zz_sue.csh $RPM_BUILD_ROOT/etc/profile.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/etc/profile.d/zz_sue.sh
/etc/profile.d/zz_sue.csh
/usr/sue/bin/*

%changelog
* Fri Mar 9 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.10.3.slc5
- removed rdesktop wrapper, not needed after update to patched rdesktop 1.6.X.slc5

* Fri Nov 18 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fix rdesktop wrapper.

* Fri May 27 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> 1-10.1.slc6test
- add rdesktop wrapper to workaround https://bugzilla.redhat.com/show_bug.cgi?id=642554

* Mon Nov 16 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fix kinit wrapper to exit with error if real kinit did so.

* Tue Aug 19 2008 Jan Iven <jan.iven@cern.ch>
- sync up slc4/slc5 versions

* Tue Jul  1 2008 Jan Iven <jan.iven@cern.ch>
- replace kpasswd wrapper with message

* Wed Jun  4 2008 Jan Iven <jan.iven@cern.ch> 1-6.slc5
- split out for SLC5
   - no more Kerberos4 in "kinit" (MIT branch - just AFS)
   - remove "klog" and "tokens" wrappers - use OpenAFS version in standard path
   - add "pagsh.openafs" to "pagsh" wrapper
   - remove "klist" and "kdestroy" - MIT version should be in user path.

* Fri Feb 22 2008 Jan Iven <jan.iven@cern.ch> 1-6.scl4
- prefer aklog over afs5log since it generates no bogus requests on the server
- prepare to re-route kpasswd to central password page

* Mon Oct  1 2007 Jan Iven <jan.iven@cern.ch> 1.5
- make kinit and klog aware of non-CERN cells/realms (fallback to default behaviour)

* Wed May  2 2007 Jan Iven  <jan.iven@cern.ch> 1.4
- workaround case of missing tickets for kpasswd, IT#115617

* Tue Oct 31 2006 Jan Iven <jan.iven@cern.ch> 1.3
- stronger warning on "klog"
- fix typo in "klist"
- pull in aklog

* Mon Jul 03 2006 Jan Iven <jan.iven@cern.ch> 1.2
- unified version for SLC3/4 again
- pam_krb5-2.2.8 is required (for afs5log)
- slightly stronger warning on the "klog" wrapper

* Tue May 09 2006 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- change preferred kerberos version to MIT

* Wed Jan 25 2006 Jan Iven <jan.iven@cern.ch> 0.9
- fix the totally broken 0.8 release

* Thu Jan 19 2006 Jan Iven <jan.iven@cern.ch> 0.8
- update wrappers to use either Heimdal (preferred) or MIT
- get AFS+Krb4 even with MIT kinit
- remove "Kerberos4 or Kerberos5" logic from kpasswd
* Mon Feb 07 2005 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- removed (confusing) warning from kpasswd wrapper
* Tue Jan 18 2005 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added info text to kpasswd
* Wed Aug  4 2004 Jan Iven <jan.iven@cern.ch>
- change kpasswd to use the AFS version for now, trigger 
  on /afs/cern.ch/project/connectivity/KERBEROS-VERSION for the upgrade
- add passwd (from 7.3 SUE, changed perl path)

* Sun Mar 7 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial build
